import request from '@/utils/request'

// 查询网上办事列表
export function listONLINE(query) {
  return request({
    url: '/portal/ONLINE/list',
    method: 'get',
    params: query
  })
}

// 查询网上办事所有列表
export function listAllONLINE(query) {
  return request({
    url: '/portal/ONLINE/listAll',
    method: 'get',
    params: query
  })
}

// 查询网上办事详细
export function getONLINE(id) {
  return request({
    url: '/portal/ONLINE/getInfo/' + id,
    method: 'get'
  })
}

// 新增网上办事
export function addONLINE(data) {
  return request({
    url: '/portal/ONLINE/add',
    method: 'post',
    data: data
  })
}

// 修改网上办事
export function updateONLINE(data) {
  return request({
    url: '/portal/ONLINE/edit',
    method: 'post',
    data: data
  })
}

// 删除网上办事
export function delONLINE(id) {
  return request({
    url: '/portal/ONLINE/remove/' + id,
    method: 'get'
  })
}
